# Offline refund component

{% hint style="info" %}
The information in this section applies to both the `drb2b_OfflineRefund` component (Aura only) and `drb2b_OfflineRefund_LWR` component (LWR only).
{% endhint %}

Use the `drb2b_OfflineRefund` component to collect refund banking details from shoppers using offline payment methods such as wire transfer or konbini. You can configure this component in the experience builder.

You can publish an event to trigger a reload of the offline refund component to meet your business requirements.

### Publish the Offline refund component event

Complete the following tasks to publish various event types. The event purpose and payload will vary depending on the use case.

Import `DigitalRiverMessageChannel__c message` channel and message service into a custom JavaScript file, as shown below.

{% code title="Import example" %}

```
import dr_lms from "@salesforce/messageChannel/digitalriverv3__DigitalRiverMessageChannel__c";

import {publish, MessageContext } from "lightning/messageService";

```

{% endcode %}

Declare the message context variable as shown below.

{% code title="Declare variable example" %}

```
@wire(MessageContext) messageContext;
```

{% endcode %}

Publish the event.

{% code title="Event publishing example" %}

```
publish(this.messageContext, dr_lms, { 
                    purpose: '<purpose>',           
                    payload: '<payload>'            
                });

```

{% endcode %}

Refer to the following table for more information on the Offline refund component events.

<table><thead><tr><th width="217">Event purpose</th><th>Event payload example</th><th width="205">Description</th></tr></thead><tbody><tr><td>reloadOfflineRefund</td><td>n/a</td><td>Publish this event to reload the Offline refund component.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-2.1/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/components/offline-refund-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
